=== debian/control ===
Source: ros-indigo-task-compiler
Section: misc
Priority: extra
Maintainer: Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-roseus-smach, ros-indigo-rostest
Homepage: http://ros.org/wiki/task_compiler
Standards-Version: 3.9.2

Package: ros-indigo-task-compiler
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-pddl-planner, ros-indigo-roseus-smach, ros-indigo-smach-viewer
Description: task_compiler Compiler that translate task description in PDDL (Planning Domain Description Language) to SMACH (state machine based execution and coordination system) description.
